﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head>
        <link href="../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Prerequisites</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Prerequisites</h1>
        <p>The following are the prerequisites before you begin working on the <strong>Analytics</strong> module:</p>
        <div class="table-wrap">
            <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                <col style="width: 159.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 568.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Summary</th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Detailed Description</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Access to Saviynt&#160;<strong>Saviynt Identity Governance and Administration (IGA) </strong>application.</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Access to Saviynt IGA application is given to the user.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Admin or User Login credentials.</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">A valid system administrator login - this includes the Administrator responsibility for managing analytics functionality.&#160;</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Assignment of user-personas to SAV Role.</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Initially when a user logs in for the first time into the Saviynt IGA application, the user may not be able to see the <strong>Analytics</strong> tab, since the access is not assigned. The <strong>IGA</strong>admin has to enable the user's access for every Analytics menu and sub-menus within Saviynt IGA&#160;application. For more information about enabling access to Analytics&#160;tab, see <MadCap:xref href="../Chapter09-Managing-SAV-Roles/Creating-and-Managing-Custom-SAV-Roles.htm">Creating and Managing Custom SAV Roles</MadCap:xref>.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">Create Email Templates for Analytics</td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p style="text-align: left;" class="table-text">Various email templates and parameters for analytics must be set up and configured in IGA.</p>
                            <p style="text-align: left;" class="table-text">For more information about setting-up Email Template for analytics controls, see <MadCap:xref href="../Chapter06-Configuring-EIC/Creating-and-Managing-Email-Templates.htm">Creating and Managing Email Templates</MadCap:xref>.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Configuring Analytics Email Template</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Managing&#160;email templates and reminder intervals for different stages of the analytics process.</p>
                            <p class="table-text">For more information about configuring emails for different types of analytics controls, see&#160;<MadCap:xref href="../Chapter06-Configuring-EIC/Analytics-Configuration.htm">Analytics Configuration</MadCap:xref>.&#160;The global configuration for analytics, such as sending a notification mail based on risk, category or based on endpoint configurations can be managed from this page.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">Configuring&#160;Analytics Global Configuration</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyA-Column1-Body1">
                            <p class="table-text">The functionality of the <strong>Analytics</strong> tab can be controlled by configuring the parameters and option from the Global Configurations page for Analytics from <strong>Admin &gt; Global Configurations &gt; Analytics</strong>.&#160;</p>For more information, see&#160;<MadCap:xref href="../Chapter06-Configuring-EIC/Analytics-Configuration.htm">Analytics Configuration</MadCap:xref>.</td>
                    </tr>
                </tbody>
            </table>
        </div>
        <p class="auto-cursor-target">Restrictions while creating Analytics controls:</p>
        <ul>
            <li class="auto-cursor-target">
                <p>Ensure that you add a blank space before and after the special characters '&lt;' and '&gt;', when you are using them in an analytics query.</p>
            </li>
            <li class="auto-cursor-target">
                <p>While defining the column name for an analytics query,</p>
                <ul>
                    <li class="auto-cursor-target">
                        <p>You can use the following special characters:<br />' ~ ! @ # % ^ * ( ) { } [ ] + = : " / | - _ .</p>
                    </li>
                    <li class="auto-cursor-target">
                        <p>You can not use the following special characters:<br />&lt;, &gt;, &amp;</p>
                        <p class="auto-cursor-target">You can neither use Status nor Comments as column names. However, if you want&#160;the analytics result to display these column names, you must use alias names for those columns instead of the words "Status" or "Columns". A sample working query with an alias is shown below:<br /></p>
                    </li>
                    <li class="auto-cursor-target">
                        <p>You must use the date word in the column name for elastic search based analytics only if the returning data is in proper date format (i.e., date format that the database supports) or is a null value.</p>
                    </li>
                    <li class="auto-cursor-target">
                        <p>You must not use&#160;the date word in the column name if the column name is blank or a text value.</p>
                    </li>
                    <li class="auto-cursor-target">
                        <p>When one of the visible column alias names is<strong>endpointKey</strong>, endpoint filtering is applied while displaying the records in analytics history. This means the records related to the endpoints to which end users have access through their sav roles are displayed.&#160;</p>
                    </li>
                    <li class="auto-cursor-target">
                        <p>For ROLE_ADMIN users, the endpoint filtering is not applied even if&#160; endpointKey is configured as a visible column and all records are displayed.&#160; &#160;</p>
                    </li>
                    <li class="auto-cursor-target">
                        <p>When one of the column alias names is&#160;<strong>endpointKey</strong>and the same is not configured as a visible column, then the endpoint filtering will not be applied and all records will be displayed to end users.</p>
                    </li>
                    <li class="auto-cursor-target">
                        <p>For elasticsearch based analytics controls,<strong>endpointKey</strong>is a case-sensitive keyword that is used for endpoint filtering. The below scenarios should be considered if your analytics control has&#160;<strong>endpointKey</strong>keyword in it: </p>
                    </li>
                    <li class="auto-cursor-target">
                        <p>While creating a new analytics, make sure that you do not use _ (underscore) in the analytics name.</p>
                    </li>
                    <li class="auto-cursor-target">
                        <p>The owner who is receiving an email attachment after running the analytics will be able to open the Analytics report only if none of the cell in the excel sheet contains any data which has more than 32767 characters. This limitation is from Microsoft Excel, so make sure that the data is not too long.</p>
                    </li>
                </ul>
            </li>
        </ul>
        <p>&#160;</p>
    </body>
</html>